Subject: Re: include/asm-ppc/platforms/

From: Dan Malek <[email-masked]>
Date: Sat, 01 Dec 2001 17:22:47 -0500

Frank Rowand wrote:

> If I understand correctly, you are talking only about the configuration
> structure, not the header file structure -- so a different topic than
> what this thread has been.

I'm talking about both.  Yes, I know the configuration has been mostly
changed, but today the ibm4xx.h file includes ibm405gp.h which then
includes walnut.h.  This is totally backward.  The ibm4xx.h file should
include walnut.h, which should include ibm405gp.h, which should include
a core or peripheral definition file if necessary.

The ibm4xx.h file (and the mpc8xx.h file) should be replaced by an
appropriate platform.h file which would remove all of the ifdefs we
currently have in the include lists of the C files and some of the
problems with multiple definitions these ifdefs are in place to solve.

Thanks.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/